Skip to main content
`Ctrl`+`K`

# PetscViewerMatlabOpen

Opens a MATLAB .mat file for output

## Synopsis

    #include "petscviewer.h"
    #include "petscmat.h"
    PetscErrorCode PetscViewerMatlabOpen(MPI_Comm comm, const char name[], PetscFileMode type, PetscViewer *binv)

Collective

## Input Parameters

- comm - MPI communicator

- name - name of file

- type - type of file

        FILE_MODE_WRITE - create new file for MATLAB output
        FILE_MODE_READ - open existing file for MATLAB input
        FILE_MODE_WRITE - open existing file for MATLAB output

## Output Parameter

- binv - PetscViewer for MATLAB output to use with the specified file

## Notes

This `PetscViewer` should be destroyed with `PetscViewerDestroy()`.

For writing files it only opens the file on processor 0 in the communicator.

This only saves `Vec`s it cannot be used to save `Mat`s. We recommend using the `PETSCVIEWERBINARY` to save objects to be loaded into MATLAB instead of this routine.

PETSc must be configured with the option `--with-matlab` for this functionality

## See Also

`PETSCVIEWERMATLAB`, `PetscViewerASCIIOpen()`, `PetscViewerPushFormat()`, `PetscViewerDestroy()`, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()` `VecView()`, `MatView()`, `VecLoad()`, `MatLoad()`

## Level

beginner

## Location

src/sys/classes/viewer/impls/matlab/vmatlab.c

## Examples

src/snes/tutorials/ex30.c
src/dm/tutorials/ex1.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages